package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.const.BaseConst
import org.apache.spark.sql.DataFrame

/**
 * @Author: XuJiakai
 * @Date: 2020/6/4 08:40
 * @Description:
 */
object PhoenixHelper {

  implicit class DataFrameEnhancer(df: DataFrame) {
    def save2Phoenix(tableName: String): Unit = {
      val tmpTable = "tmp_" + tableName
      df.sparkSession.sql(PhoenixUtil.getPhoenixTempView(tmpTable, tableName))
      df.write
        .mode("append")
        .insertInto(tmpTable + BaseConst.PHOENIX_TABLE_NAME_FLAG)
    }

    def save2PhoenixByJDBC(tableName: String): Unit = {
      df.write
        .mode("append")
        .jdbc(PhoenixUtil.getPhoenixJDBCUrl, tableName + BaseConst.PHOENIX_TABLE_NAME_FLAG, PhoenixUtil.getPhoenixProperties)
    }
  }

}
